﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Syncfusion.SfChart.XForms;

namespace RotatorusingChart
{
	public class ViewModel
	{
		private List<Model> chartCollection = new List<Model>();

		public List<Model> ChartCollection
		{
			get { return chartCollection; }
			set { chartCollection = value; }
		}
		public ViewModel()
		{
			Model item1 = new Model();
			item1.GetData1();
			Model item2 = new Model();
			item2.GetData2();
			Model item3 = new Model();
			item3.GetData3();
			ChartCollection.Add(item1);
			ChartCollection.Add(item2);
			ChartCollection.Add(item3);
		}
	}
	public class Model
	{
		public string Title { get; set; }
		public string LegendTitle { get; set; }
		public ObservableCollection<ChartDataPoint> HighTemperature { get; set; }
		public Model()
		{
			HighTemperature = new ObservableCollection<ChartDataPoint>();

		}
		internal void GetData1()
		{
			HighTemperature.Clear();
			HighTemperature.Add(new ChartDataPoint("Jan", 42));
			HighTemperature.Add(new ChartDataPoint("Feb", 44));
			HighTemperature.Add(new ChartDataPoint("Mar", 53));
			HighTemperature.Add(new ChartDataPoint("Apr", 64));
			HighTemperature.Add(new ChartDataPoint("May", 75));
			HighTemperature.Add(new ChartDataPoint("Jun", 83));
			HighTemperature.Add(new ChartDataPoint("Jul", 87));
			HighTemperature.Add(new ChartDataPoint("Aug", 84));
			HighTemperature.Add(new ChartDataPoint("Sep", 78));
			HighTemperature.Add(new ChartDataPoint("Oct", 67));
			HighTemperature.Add(new ChartDataPoint("Nov", 55));
			HighTemperature.Add(new ChartDataPoint("Dec", 45));
			Title = "Status of 2014";
			LegendTitle = "Savings";
		}
		internal void GetData2()
		{
			HighTemperature.Clear();
			HighTemperature.Add(new ChartDataPoint("Jan", 62));
			HighTemperature.Add(new ChartDataPoint("Feb", 64));
			HighTemperature.Add(new ChartDataPoint("Mar", 73));
			HighTemperature.Add(new ChartDataPoint("Apr", 84));
			HighTemperature.Add(new ChartDataPoint("May", 95));
			HighTemperature.Add(new ChartDataPoint("Jun", 63));
			HighTemperature.Add(new ChartDataPoint("Jul", 67));
			HighTemperature.Add(new ChartDataPoint("Aug", 64));
			HighTemperature.Add(new ChartDataPoint("Sep", 58));
			HighTemperature.Add(new ChartDataPoint("Oct", 47));
			HighTemperature.Add(new ChartDataPoint("Nov", 75));
			HighTemperature.Add(new ChartDataPoint("Dec", 65));
			Title = "Status of 2015";
			LegendTitle = "Income";
		}
		internal void GetData3()
		{
			HighTemperature.Clear();
			HighTemperature.Add(new ChartDataPoint("Jan", 82));
			HighTemperature.Add(new ChartDataPoint("Feb", 84));
			HighTemperature.Add(new ChartDataPoint("Mar", 93));
			HighTemperature.Add(new ChartDataPoint("Apr", 84));
			HighTemperature.Add(new ChartDataPoint("May", 55));
			HighTemperature.Add(new ChartDataPoint("Jun", 43));
			HighTemperature.Add(new ChartDataPoint("Jul", 47));
			HighTemperature.Add(new ChartDataPoint("Aug", 44));
			HighTemperature.Add(new ChartDataPoint("Sep", 38));
			HighTemperature.Add(new ChartDataPoint("Oct", 87));
			HighTemperature.Add(new ChartDataPoint("Nov", 95));
			HighTemperature.Add(new ChartDataPoint("Dec", 75));
			Title = "Status of 2016";
			LegendTitle = "Expense";
		}

	}
}

